# CONSUMER_OVERDRAFT_APPLICATION

The status of a consumer overdraft application has changed.

Endpoint: POST consumer_overdraft_application
Version: 1.0

## Request fields (application/json):

  - `id` (string, required)
    The unique ID of a consumer overdraft application.
    Example: "b83z264de98741018419b53648e20ca9coap"

  - `partner_id` (string, required)
    The unique partner ID, generated after creating a partner.
    Example: "6ee8e4c8bdc2f9b15870c989706aa9cccpar"

  - `person_id` (string, required)
    The unique person ID, generated after completing the person onboarding process.
    Example: "dc1a6812a14f6cc338cd084208535bcdcper"

  - `identification_id` (string, required)
    The unique identification ID of a person, generated after completing the person identification process.
    Example: "176a96d1ecf7459d659d1b7f0108a3f2cidt"

  - `account_iban` (string, required)
    The IBAN of a person account.
    Example: "DE87110101001000057123"

  - `status` (string, required)
    The status of a consumer overdraft application.
    Enum: "scoring_pending", "offered", "overdraft_created", "rejected", "deleted"

  - `created_at` (string, required)
    The date and time the consumer overdraft application was created.
    Example: "2021-08-03T18:01:48.000Z"

  - `status_description` (string,null)
    The description of the consumer overdraft application status.
    Example: "The overdraft is approved and offered to the customer."

  - `partner_risk_class` (string,null)
    The risk class assigned to a customer by the partner.
    Example: "d"

  - `partner_requested_limit` (object,null)
    Example: {"value":1000,"unit":"cents","currency":"EUR"}

  - `partner_requested_limit.value` (integer, required)
    The amount value
    Example: 1000

  - `partner_requested_limit.currency` (string, required)
    The currency of the given value. Only EURO is currently supported.
    Example: "EUR"

  - `partner_requested_limit.unit` (string, required)
    The unit of the given value.
    Enum: "cents"

  - `partner_reference_number` (string,null)
    The partner's reference number.
    Example: "a123456"

  - `partner_contact_number` (string,null)
    The number of the partner's contact person.
    Example: "+491565904345"

  - `partner_contact_name` (string,null)
    The name of the partner's contact person.
    Example: "Peter Mustermann"

  - `overdraft_id` (string,null)
    The unique ID of a consumer overdraft, generated after an overdraft is offered.
    Example: "00556cd181f2409aaa6c2a033cce3a8fcovd"

  - `net_income_amount` (object)
    Example: {"value":1000,"unit":"cents","currency":"EUR"}

  - `net_income_amount.value` (integer, required)
    The amount value
    Example: 1000

  - `net_income_amount.currency` (string, required)
    The currency of the given value. Only EURO is currently supported.
    Example: "EUR"

  - `net_income_amount.unit` (string, required)
    The unit of the given value.
    Enum: "cents"

  - `minimum_credit_risk_criteria` (object,null)
    Minimum credit risk criteria fields for scorer

  - `limit` (object,null)
    Example: {"value":1000,"unit":"cents","currency":"EUR"}

  - `limit.value` (integer, required)
    The amount value
    Example: 1000

  - `limit.currency` (string, required)
    The currency of the given value. Only EURO is currently supported.
    Example: "EUR"

  - `limit.unit` (string, required)
    The unit of the given value.
    Enum: "cents"

  - `interest_accrual_rate` (number,null)
    Scorer rate for risk based pricing

  - `employment_status` (string,null)
    The consumer's employment status, mentioned in the signed self-declaration form.
    Enum: "EMPLOYED", "UNEMPLOYED", "PUBLIC_SECTOR_EMPLOYEE", "PROFESSIONAL_SOLDIER", "FREELANCER", "HOUSEWORK", "APPRENTICE", "MANAGEMENT", "RETIRED", "STUDENT", "SELF_EMPLOYED", "MILITARY_OR_COMMUNITY_SERVICE"

  - `credit_record_id` (string,null)
    The unique ID of a credit record, generated after creating a consumer credit record.
    Example: "fbb7d15fa4c54ba0b077592665ef04a4ccrd"


## Response 200 fields
